
%global meadversion 9.4.0
%global namedversion 9.4.0.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead
%bcond_with debug_all

%{?scl:%scl_package objectweb-asm}
%{!?scl:%global pkg_name %{name}}

%define maven_version 9.4.0.redhat-00001

Name:           %{?scl_prefix}objectweb-asm
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        ASM
Group:          Development/Java

%if %with mead
Source100: root-9.4.0.redhat-00001-project-sources.tar.gz
Source102: asm-tree-9.4.0.redhat-00001-javadoc.jar
Source103: asm-tree-9.4.0.redhat-00001.jar
Source104: asm-commons-9.4.0.redhat-00001-javadoc.jar
Source105: asm-util-9.4.0.redhat-00001-javadoc.jar
Source106: asm-analysis-9.4.0.redhat-00001-sources.jar
Source107: asm-test-9.4.0.redhat-00001.jar
Source108: asm-test-9.4.0.redhat-00001.pom
Source109: asm-analysis-9.4.0.redhat-00001.pom
Source110: asm-9.4.0.redhat-00001-project-sources.tar.gz
Source111: asm-9.4.0.redhat-00001-sources.jar
Source112: asm-9.4.0.redhat-00001.jar
Source113: asm-bom-9.4.0.redhat-00001.pom
Source114: asm-analysis-9.4.0.redhat-00001.jar
Source115: asm-tree-9.4.0.redhat-00001.pom
Source116: asm-commons-9.4.0.redhat-00001.jar
Source117: asm-analysis-9.4.0.redhat-00001-javadoc.jar
Source118: asm-util-9.4.0.redhat-00001-sources.jar
Source119: asm-tree-9.4.0.redhat-00001-sources.jar
Source120: asm-test-9.4.0.redhat-00001-sources.jar
Source121: asm-util-9.4.0.redhat-00001.jar
Source122: asm-util-9.4.0.redhat-00001.pom
Source123: asm-test-9.4.0.redhat-00001-javadoc.jar
Source124: asm-commons-9.4.0.redhat-00001.pom
Source125: asm-commons-9.4.0.redhat-00001-sources.jar
Source126: asm-9.4.0.redhat-00001-javadoc.jar
Source127: asm-9.4.0.redhat-00001.pom
%endif

License:        BSD
URL:            http://asm.objectweb.org/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
A very small and fast Java bytecode manipulation framework.

%package analysis
Summary:        objectweb-asm analysis
Group:          Development/Java


%description analysis
%{summary}.

%package commons
Summary:        objectweb-asm commons
Group:          Development/Java


%description commons
%{summary}.

%package tree
Summary:        objectweb-asm tree
Group:          Development/Java


%description tree
%{summary}.

%package util
Summary:        objectweb-asm analysis
Group:          Development/Java


%description util
%{summary}.


%prep
%setup -q -n root-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/asm-analysis-%{namedversion}.jar %{buildroot}%{_javadir}/asm-analysis-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/asm-analysis-%{namedversion}.jar %{buildroot}%{_javadir}/asm-analysis-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/asm-commons-%{namedversion}.jar %{buildroot}%{_javadir}/asm-commons-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/asm-commons-%{namedversion}.jar %{buildroot}%{_javadir}/asm-commons-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/asm-tree-%{namedversion}.jar %{buildroot}%{_javadir}/asm-tree-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/asm-tree-%{namedversion}.jar %{buildroot}%{_javadir}/asm-tree-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/asm-util-%{namedversion}.jar %{buildroot}%{_javadir}/asm-util-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/asm-util-%{namedversion}.jar %{buildroot}%{_javadir}/asm-util-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/asm-%{namedversion}.jar %{buildroot}%{_javadir}/asm-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/asm-%{namedversion}.jar %{buildroot}%{_javadir}/asm-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadir}/asm-%{namedversion}.jar
%{_javadir}/asm.jar
%{_javadir}/asm-%{namedversion}-sources.jar
%{_javadir}/asm-sources.jar

%files analysis
%defattr(0644,root,root,0755)
%{_javadir}/asm-analysis-%{namedversion}.jar
%{_javadir}/asm-analysis.jar
%{_javadir}/asm-analysis-%{namedversion}-sources.jar
%{_javadir}/asm-analysis-sources.jar

%files commons
%defattr(0644,root,root,0755)
%{_javadir}/asm-commons-%{namedversion}.jar
%{_javadir}/asm-commons.jar
%{_javadir}/asm-commons-%{namedversion}-sources.jar
%{_javadir}/asm-commons-sources.jar

%files tree
%defattr(0644,root,root,0755)
%{_javadir}/asm-tree-%{namedversion}.jar
%{_javadir}/asm-tree.jar
%{_javadir}/asm-tree-%{namedversion}-sources.jar
%{_javadir}/asm-tree-sources.jar

%files util
%defattr(0644,root,root,0755)
%{_javadir}/asm-util-%{namedversion}.jar
%{_javadir}/asm-util.jar
%{_javadir}/asm-util-%{namedversion}-sources.jar
%{_javadir}/asm-util-sources.jar

%changelog
* Mon Jan 30 2023 cpaas-ops <cpaas-ops@redhat.com> - 9.4.0-1.redhat_00001.1
- Built by CPaaS

* Thu Jul 07 2022 cpaas-ops <cpaas-ops@redhat.com> - 9.3.0-1.redhat_00001.1
- Built by CPaaS



* Thu Jun 09 2022 Permaine Cheung <pcheung@redhat.com> - 9.2.0-2.redhat_00002.1
- Split up into subpackages

* Tue May 31 2022 cpaas-ops <cpaas-ops@redhat.com> - 9.2.0-1.redhat_00002.1
Built by CPaaS



* Thu May 26 2022 cpaas-ops <cpaas-ops@redhat.com> - 7.1.0-1.redhat_00001.1
Built by CPaaS
